#!/system/bin/sh

rc=0

if [ ! -e /system/modules/juice_input_test_module.ko ]; then 
	echo "juice input kernel module doesn't exist!"
	exit
fi

insmod /system/modules/juice_input_test_module.ko
rc=$?
if [ $rc -ne 0 ]; then
	echo "Insmod juice input kernel module failed!"
	exit
fi

N=`dmesg |grep Juice|awk -F '' '{print $NF}'`

echo "Evdev IOCTL CMD TEST START"
juice_evtest -p /dev/input/event$N
rc=$?
if [ $rc -ne 0 ]; then
	echo "Evdev IOCTL CMD TEST FAIL!"
else
	echo "EVDEV IOCTL CMD TEST FINISH"
fi

rmmod juice_input_test_module
rc=$?
if [ $rc -ne 0 ]; then
	echo "Remove juice input kernel module failed!"
fi

